Draft Fillet: Difference between revisions

From FreeCAD Documentation
mNo edit summary
mNo edit summary
Line 92: Line 92:


<!--T:28-->
<!--T:28-->
{{Emphasis|See also:}} [[Draft_API|Draft API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [[Draft_API|Draft API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:22-->
<!--T:22-->

Revision as of 20:56, 15 March 2021

Draft Fillet

Menu location
Drafting → Fillet
Workbenches
Draft
Default shortcut
None
Introduced in version
0.19
See also
Draft Line, Draft Wire

Description

The Draft Fillet tool creates a fillet, a rounded corner, between two Draft Lines. Alternatively, it can create a chamfer, a straight edge, between those two lines.

Several fillets and chamfers created between two lines

Usage

  1. Select two Draft Lines that meet in a single point.
  2. There are several ways to invoke the command:
    • Press the Draft Fillet button.
    • Select the Drafting → Fillet option from the menu.
  3. Enter the fillet radius.
  4. Press Enter.

Alternative creation of fillets and chamfers

A Draft Wire that has at least three points can also create a fillet or a chamfer.

  1. Select two Draft Lines that meet in a single point.
  2. Press the Draft Wire button. This will fuse the two lines into a single Wire object.
  3. In the property editor, enter the desired numerical value for DataFillet Radius or DataChamfer Size.

This method works also when joining two different polylines.

Options

  • Check the "Delete original objects" checkbox if you want to delete the two original lines, and leave only the new fillet object.
  • Check the "Create chamfer" checkbox if you want to create a straight edge, instead of a rounded edge, between the two lines.
  • Press Esc or the Close button to abort the current command.

Notes

  • The resulting fillet object is not editable.
  • If the radius is so large that the produced arc would not be tangent to one of the lines, the operation will not succeed.
  • Only single lines are supported at the moment; Draft Wires, that is, lines with multiple points, may not produce the desired result.

Properties

A Fillet object shares most properties from a Draft Wire, however, only some of these properties are applicable to the Fillet.

Data

  • DataStart: (read-only) specifies the start point.
  • DataEnd: (read-only) specifies the end point.
  • DataLength: (read-only) specifies the length of the entire segment.
  • DataFillet Radius: (read-only) radius with which the fillet was created.

View

  • ViewEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ViewArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ViewArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", "Tick", or "Tick-2".

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Fillet tool can be used in macros and from the Python console by using the following function:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Creates a Fillet object between lines line1 and line2, using radius for the curvature.
  • If chamfer is True it will create a straight edge with the length of radius, instead of a rounded edge.
  • If delete is True it will delete the given line1 and line2, and leave only the new object.

Example:

import FreeCAD as App
import Draft
doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)
doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)
doc.recompute()